<?php
session_start();
require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');
$query=mysqli_query($con, "SELECT * FROM ajuste_detalle_temp where empresa='1'  ORDER BY ajud_tipo,ajud_referencia ASC ");

$pdf=new PDF_MC_Table();
$pdf->AddPage();
$pdf->SetFont('Arial','',14);
$pdf->AliasNbPages();
//Table with 20 rows and 4 columns

	$pdf->SetFillColor(255,255,255);
	$pdf->SetFont('Arial','B',8);
    $pdf->Cell(20,6,'REF',1,0,'C',1);
    $pdf->Cell(90,6,'NOMBRE',1,0,'C',1);
    $pdf->Cell(17,6,'STOCK',1,0,'C',1);
    $pdf->Cell(20,6,'DIFERENCIA',1,0,'C',1);
    $pdf->Cell(17,6,'REAL',1,0,'C',1);
    $pdf->Cell(27,6,'REPTIFICADO',1,0,'C',1);
    $pdf->Ln();  

$pdf->SetFont('Arial','',7);
	
 while ($roww=mysqli_fetch_array($query))	
 	{
		$art_id=$roww['ajud_art_id'];
		$ajud_cantidad=$roww['ajud_cantidad'];
		$ajud_tipo=$roww['ajud_tipo'];

		$sql2=mysqli_query($con, "SELECT * from articulos_has_bodegas  where bodegas='$bod_id' and empresa='$empresa' and articulos_art_id='$art_id' and usuario='$usuario'");
        $c=mysqli_fetch_array($sql2);
        $art_cantidad=$c['art_cantidad'];
        if ($ajud_tipo=='Entrada') {
        	$suma=$art_cantidad+$ajud_cantidad;
        	$diferencia=$suma-$art_cantidad;
        	$signo='+';
        } else
        {
        	$suma=$art_cantidad-$ajud_cantidad;
        	$diferencia=$art_cantidad-$suma;
        	$signo='-';

        }

		$pdf->SetWidths(array(20,90,17,20,17,27));
		srand(time()*1000000);
		$pdf->Row(array($roww['ajud_referencia'],$roww['ajud_nombre'],$art_cantidad,$signo.$diferencia,$suma,''));
	}
$pdf->Output();
?>
